import {Commands ,World, BlockLocation} from 'mojang-minecraft';
import { Arena } from 'scripts/Arena1.js';
import { Arena2 } from 'scripts/Arena2.js';

const beforeChatEvent = World.events.beforeChat;
const effectEvent = World.events.effectAdd;

beforeChatEvent.subscribe(beforeChat);
effectEvent.subscribe(addEffect);

//var arenaActive = false;
var arenaNumber = 1;

function beforeChat(eventData){
	let message = eventData.message.trim();
	let args = message.split(' ');
	if(args[0] == "!sb"){
		switch(args[1]){
			case "start":
			if(arenaNumber == 1){
			Arena.prepareTime();
			}else if(arenaNumber == 2){
			Arena2.prepareTime();	
			}
			break;
			
			case "stop":
			if(arenaNumber == 1){
			Arena.stopRound();
			}else if(arenaNumber == 2){
			Arena2.stopRound();	
			}
			break;
			
			case "pause":
			if(arenaNumber == 1){
			Arena.pause();
			}else if(arenaNumber == 2){
			Arena2.pause();	
			}
			break;
			
			case "continue":
			if(arenaNumber == 1){
			Arena.cont();
			}else if(arenaNumber == 2){
			Arena2.cont();	
			}
			break;
			
			case "red":
			try{
			Commands.run(`tag @a[name="${eventData.sender.nameTag}"] remove blue`,World.getDimension(`overworld`));
			}catch(e){}
			try{
			Commands.run(`tag @a[name="${eventData.sender.nameTag}"] add red`,World.getDimension(`overworld`));
			}catch(e){}
			Commands.run(`tellraw @a[name="${eventData.sender.nameTag}"] {"rawtext":[{"text":"You Joined Team Red"}]}`,World.getDimension(`overworld`));
			break;
			
			case "blue":
			try{
			Commands.run(`tag @a[name="${eventData.sender.nameTag}"] remove red`,World.getDimension(`overworld`));
			}catch(e){}
			try{
			Commands.run(`tag @a[name="${eventData.sender.nameTag}"] add blue`,World.getDimension(`overworld`));
			}catch(e){}
			Commands.run(`tellraw @a[name="${eventData.sender.nameTag}"] {"rawtext":[{"text":"You Joined Team Blue"}]}`,World.getDimension(`overworld`));
			break;
			
			case "leave":
			try{
			Commands.run(`tag @a[name="${eventData.sender.nameTag}"] remove red`,World.getDimension(`overworld`));
			}catch(e){}
			try{
			Commands.run(`tag @a[name="${eventData.sender.nameTag}"] remove blue`,World.getDimension(`overworld`));
			}catch(e){}
			Commands.run(`tellraw @a[name="${eventData.sender.nameTag}"] {"rawtext":[{"text":"You Left The Team"}]}`,World.getDimension(`overworld`));
			break;
			
			default:
			
		}
	eventData.cancel = true;
	}else if(args[0] == "!test"){

		eventData.cancel = true;		
	}
			/*if(arenaNumber == 1){
			try{
			Commands.run(`setblock 108 -58 -68 sb:classic_map`,World.getDimension(`overworld`));
			}catch(e){}
			}else{
			try{
			Commands.run(`setblock 108 -58 -68 sb:sky_map`,World.getDimension(`overworld`));
			}catch(e){}			
			}	*/
}

function addEffect(eventData){
let effectName = eventData.effect.displayName;
let effectAmp = eventData.effect.amplifier;
if(effectName == "Nausea"){
	switch(effectAmp){
		case 50:
			arenaNumber -= 1;
			if(arenaNumber <= 0){
			arenaNumber = 2;	
			}
			if(arenaNumber == 1){
			try{
			Commands.run(`setblock 108 -58 -68 sb:classic_map`,World.getDimension(`overworld`));
			}catch(e){}
			}else{
			try{
			Commands.run(`setblock 108 -58 -68 sb:sky_map`,World.getDimension(`overworld`));
			}catch(e){}			
			}
			//Commands.run(`say Arena ${arenaNumber}`,World.getDimension(`overworld`));
		break;

		case 51:
			arenaNumber += 1;
			if(arenaNumber >=3){
			arenaNumber = 1;	
			}
			if(arenaNumber == 1){
			try{
			Commands.run(`setblock 108 -58 -68 sb:classic_map`,World.getDimension(`overworld`));
			}catch(e){}
			}else{
			try{
			Commands.run(`setblock 108 -58 -68 sb:sky_map`,World.getDimension(`overworld`));
			}catch(e){}			
			}
			//Commands.run(`say Arena ${arenaNumber}`,World.getDimension(`overworld`));
		break;
		
		case 52:
			if(arenaNumber == 1){
			Arena.prepareTime();
			}else if(arenaNumber == 2){
			Arena2.prepareTime();	
			}
		break;
	}
}
//Commands.run(`say ${effectName}-${effectAmp}`,World.getDimension(`overworld`));
}